<!--
 * Copyright 2008 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.1
 -->
<!--@formatter:off-->
<m:message xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:m="http://jboss.org/schema/seam/mail"
           xmlns="http://www.w3.org/1999/xhtml"
           charset="UTF8">
    <m:from name="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"
            address="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"/>
    <m:replyTo name="#{applicationPreferenceManager.getApplicationAdminName()}"
               address="#{applicationPreferenceManager.getApplicationAdminEmail()}"/>
    <ui:repeat value="#{emailManager.institutionAdmins}" var="user">
        <m:to name="#{interpolator.interpolate(messages['gazelle.common.mail.to'], user.firstName, user.lastName)}">
            #{user.email}</m:to>
    </ui:repeat>
    <m:bcc name="History">#{applicationPreferenceManager.getApplicationEmailAccountForHistory()}</m:bcc>
    <m:subject>#{applicationPreferenceManager.getApplicationName()} - #{messages['net.ihe.gazelle.CrawlerPerformed']}
    </m:subject>
    <m:body>
        <p>#{messages['net.ihe.gazelle.DearIHEProductManagerAdminCrawlerStartedOn']}
            #{dateDisplay.displayDateTime(crawlerReporting.executionStartingDate,
            true)} #{messages['net.ihe.gazelle.AndWasRunningFor']}
            #{crawlerReporting.getExecutionElapsedTimeToString()}.</p>

        <p>#{messages['net.ihe.gazelle.ItHasChecked']}
            #{crawlerReporting.numberOfCheckedIntegrationStatements}
            #{messages['net.ihe.gazelle.Systems']}</p>

        <p>#{crawlerReporting.numberOfSuccessfullyChecked}
            #{messages['net.ihe.gazelle.WereSuccessullyChecked']}</p>

        <p>#{crawlerReporting.numberOfChangedIntegrationStatements}
            #{messages['net.ihe.gazelle.HaveGotTheirStatusChanged']}</p>
        <ui:include src="/email/prSystems.xhtml">
            <ui:param name="systems" value="#{crawlerReporting.changedIntegrationStatements}"/>
        </ui:include>
        <p>#{crawlerReporting.numberOfUnreachableIntegrationStatements}
            #{messages['net.ihe.gazelle.WereUnreachable']}</p>
        <ui:include src="/email/prSystems.xhtml">
            <ui:param name="systems" value="#{crawlerReporting.unreachableIntegrationStatements}"/>
        </ui:include>
        <p>#{crawlerReporting.numberOfUnmatchingHashcodeForIntegrationStatements}
            #{messages['net.ihe.gazelle.WereUnmatched']}</p>
        <ui:include src="/email/prSystems.xhtml">
            <ui:param name="systems" value="#{crawlerReporting.unmatchingHashcodeForIntegrationStatements}"/>
        </ui:include>
        <p>#{applicationPreferenceManager.getApplicationUrl()}</p>

        <p>#{applicationPreferenceManager.getApplicationAdminName()}</p>
    </m:body>
</m:message>
